Package com.google.protobuf

# Class TextFormat.ParseException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
com.google.protobuf.TextFormat.ParseException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `TextFormat.UnknownFieldParseException`

Enclosing class:
  TextFormat

public static class TextFormat.ParseException extends IOException
Thrown when parsing an invalid text format message.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ParseException(int line, int column, String message)`
Create a new instance
`ParseException(String message)`
Create a new instance, with -1 as the line and column numbers.

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumn()`
Return the column where the parse exception occurred, or -1 when none is provided.
`int`
`getLine()`
Return the line where the parse exception occurred, or -1 when none is provided.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ParseException

public ParseException(String message)
Create a new instance, with -1 as the line and column numbers.

### ParseException

public ParseException(int line, int column, String message)
Create a new instance

Parameters:
  `line` - the line number where the parse error occurred, using 1-offset.
  `column` - the column number where the parser error occurred, using 1-offset.

## Method Details

### getLine

public int getLine()
Return the line where the parse exception occurred, or -1 when none is provided. The value is specified as 1-offset, so the first line is line 1.

### getColumn

public int getColumn()
Return the column where the parse exception occurred, or -1 when none is provided. The value is specified as 1-offset, so the first line is line 1.